SHARE
TWEET

Untitled

a guest Aug 19th, 2019 62 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Fehler:
  2. Odoo Server Error
  3.  
  4. Traceback (most recent call last):
  5.   File "/usr/lib/python3/dist-packages/odoo/fields.py", line 927, in __get__
  6.     value = record.env.cache.get(record, self)
  7.   File "/usr/lib/python3/dist-packages/odoo/api.py", line 967, in get
  8.     value = self._data[key][field][record.id]
  9. KeyError: 61
  10.  
  11. During handling of the above exception, another exception occurred:
  12.  
  13. Traceback (most recent call last):
  14.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 651, in _handle_exception
  15.     return super(JsonRequest, self)._handle_exception(exception)
  16.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception
  17.     raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  18.   File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise
  19.     raise value
  20.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 693, in dispatch
  21.     result = self._call_function(**self.params)
  22.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function
  23.     return checked_call(self.db, *args, **kwargs)
  24.   File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper
  25.     return f(dbname, *args, **kwargs)
  26.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call
  27.     result = self.endpoint(*a, **kw)
  28.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 937, in __call__
  29.     return self.method(*args, **kw)
  30.   File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
  31.     response = f(*args, **kw)
  32.   File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 938, in call_button
  33.     action = self._call_kw(model, method, args, {})
  34.   File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw
  35.     return call_kw(request.env[model], method, args, kwargs)
  36.   File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw
  37.     return call_kw_multi(method, model, args, kwargs)
  38.   File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi
  39.     result = method(recs, *args, **kwargs)
  40.   File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_invoice.py", line 783, in action_invoice_open
  41.     return to_open_invoices.invoice_validate()
  42.   File "/mnt/extra-addons/membership_extension/models/account_invoice.py", line 61, in invoice_validate
  43.     'date_cancel': refund.date_invoice,
  44.   File "/usr/lib/python3/dist-packages/odoo/models.py", line 3094, in write
  45.     self._write(old_vals)
  46.   File "/usr/lib/python3/dist-packages/odoo/models.py", line 3322, in _write
  47.     self.recompute()
  48.   File "/usr/lib/python3/dist-packages/odoo/models.py", line 4909, in recompute
  49.     vals = {n: rec[n] for n in ns}
  50.   File "/usr/lib/python3/dist-packages/odoo/models.py", line 4909, in <dictcomp>
  51.     vals = {n: rec[n] for n in ns}
  52.   File "/usr/lib/python3/dist-packages/odoo/models.py", line 4763, in __getitem__
  53.     return self._fields[key].__get__(self, type(self))
  54.   File "/usr/lib/python3/dist-packages/odoo/fields.py", line 931, in __get__
  55.     self.determine_value(record)
  56.   File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1018, in determine_value
  57.     self.compute_value(recs)
  58.   File "/usr/lib/python3/dist-packages/odoo/fields.py", line 998, in compute_value
  59.     self._compute_value(records)
  60.   File "/usr/lib/python3/dist-packages/odoo/fields.py", line 989, in _compute_value
  61.     getattr(records, self.compute)()
  62.   File "/mnt/extra-addons/membership_extension/models/res_partner.py", line 138, in _compute_membership_date
  63.     if not last_cancel or last_cancel < line.date_cancel:
  64. TypeError: unorderable types: str() < bool()
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top